API referenceWebhooks
Register a webhook endpoint
Authorization
ApiKey webhooks:manageAuthorizationBearer <token>
Authorization: Bearer clk_{tenant_id}_{secret}. The header X-Api-Key carrying the same value is also accepted, for integration platforms that cannot set an Authorization header. Keys are minted in the Call Lens dashboard.
In: header
Scope: webhooks:manage
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/webhooks" \ -H "Content-Type: application/json" \ -d '{ "url": "string" }'{ "success": true, "message": "Webhook endpoint registered.", "data": { "id": "string", "url": "string", "active": true, "description": "string", "events": [ "call.completed" ], "last_delivered_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "secret": "string", "resolves_to": [ "string" ], "disclosure": "string" }}